/**
 * Copyright (c) 2009, 2010 jDORM, http://www.jdorm.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package com.jdorm.activerecord.exceptions;

/**
 * Represents an exception that occurs in jDORM when attempting to
 * create a connection to the database.
 *
 * @author	mbaumbach
 *
 * @version	1.0
 */
public class ConnectionException extends RuntimeException {

	private static final long serialVersionUID = -3683351284216232018L;

	/**
	 * Creates a new connection exception with the specified message.
	 * 
	 * @param	message	The message representing the error that happened.
	 */
	public ConnectionException(String message) {
		super(message);
	}
	
	/**
	 * Creates a new connection exception with the specified throwable.
	 * 
	 * @param	throwable	The throwable that occurred.
	 */
	public ConnectionException(Throwable throwable) {
		super(throwable);
	}
	
	/**
	 * Creates a new connection exception with the specified message
	 * and throwable.
	 * 
	 * @param	message	The message representing the error that happened.
	 * @param	throwable	The throwable that occurred.
	 */
	public ConnectionException(String message, Throwable throwable) {
		super(message, throwable);
	}
	
} // ConnectionException