/**
 * Copyright (c) 2009, 2010 jDORM, http://www.jdorm.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package com.jdorm.datasource;

/**
 * Represents a database column.
 *
 * @author	mbaumbach
 *
 * @version	1.0
 */
public class DatabaseColumn {

	private String name;
	private int type;
	
	/**
	 * Creates a new database column.
	 * 
	 * @param	name	The name of the column.
	 * @param	type	The type of the column. (This can be checked against the java.sql.Types class)
	 */
	public DatabaseColumn(String name, int type) {
		this.name = name;
		this.type = type;
	}

	/**
	 * Gets the name.
	 *
	 * @return	The name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Gets the type.
	 *
	 * @return	The type.
	 */
	public int getType() {
		return type;
	}
	
} // DatabaseColumn