/**
 * Copyright (c) 2009, 2010 jDORM, http://www.jdorm.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package com.jdorm.datasource.connectors;

/**
 * The data source connector which allows connections to
 * PostgreSQL databases.
 *
 * @author	mbaumbach
 *
 * @version	1.0
 */
public class PostgreSQLDataSourceConnector extends AbstractDataSourceConnector {

	/**
	 * @see com.jdorm.datasource.connectors.AbstractDataSourceConnector#getAdapter()
	 */
	@Override
	public String getAdapter() {
		return "postgresql"; //$NON-NLS-1$
	}

	/**
	 * @see com.jdorm.datasource.connectors.AbstractDataSourceConnector#getDefaultPort()
	 */
	@Override
	public int getDefaultPort() {
		return 5432;
	}

	/**
	 * @see com.jdorm.datasource.connectors.AbstractDataSourceConnector#getDriver()
	 */
	@Override
	public String getDriver() {
		return "org.postgresql.Driver"; //$NON-NLS-1$
	}

} // PostgreSQLDataSourceConnector