/**
 * Copyright (c) 2009, 2011 jDORM, http://www.jdorm.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package com.jdorm.testsuites;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

import com.jdorm.activerecord.AbstractActiveRecordTest;
import com.jdorm.activerecord.ConditionsTest;
import com.jdorm.datasource.DatabaseConnectionManagerTest;
import com.jdorm.datasource.QueryAdministratorTest;
import com.jdorm.inflection.InflectorTest;
import com.jdorm.util.StringUtilTest;

/**
 * The suite of JUnit tests for all of jDORM.
 *
 * @author	mbaumbach
 *
 * @version	1.0
 */
@RunWith(Suite.class)
@Suite.SuiteClasses({
  DatabaseConnectionManagerTest.class,
  QueryAdministratorTest.class,
  InflectorTest.class,
  StringUtilTest.class,
  ConditionsTest.class,
  AbstractActiveRecordTest.class
})
public class AllTestsTestSuite {

} // AllTestsTestSuite